<?php
namespace Controller;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource;
use Util\Instance\ServiceInstance;
class Job {

    public function findJob(DTO\Request\Filter $request, DTO\Response $response)
    {
        $page = $request->getFilterCriteria()->getPage();
        $pageSize = $request->getFilterCriteria()->getPageSize();
        $filters = $request->getFilterCriteria()->getConditions();
        $job = ServiceInstance::getJob()->findJob($filters, $page, $pageSize);
        $response->addDataSet(new DataSource\DataSet('job', $job));
    }
}

