<?php
namespace Repository;

use Util\Instance\GeneralProvider as InstanceProvider;
use Util\Utilities;

class View
{

    public function getAllViews($conditions, $limit, $offset)
    {
        $query = <<<SQL
                SELECT VIEW_NAME, TEXT_LENGTH, TEXT
                  FROM USER_VIEWS
                 WHERE 1=1
                  $conditions
              ORDER BY VIEW_NAME

SQL;
        $query = Utilities::getPaginatedQuery($query, $limit, $offset);
        return Utilities::getReferenceConnection()->fetchAll($query);
    }

    public function getAllViewColumns($conditions, $limit, $offset)
    {
        $query = <<<SQL
                SELECT *
                  FROM ALL_TAB_COLUMNS
                 WHERE 1=1
                  $conditions
              ORDER BY COLUMN_NAME 

SQL;
        $query = Utilities::getPaginatedQuery($query, $limit, $offset);
        return Utilities::getReferenceConnection()->fetchAll($query);
    }
}