<?php
namespace Repository;

use Util\Instance\GeneralProvider as InstanceProvider;
use Util\Utilities;

class Trigger
{

    public function getAllTriggers($conditions, $limit, $offset)
    {
        $query = <<<SQL
                SELECT TRIGGER_NAME, TRIGGER_TYPE, TRIGGERING_EVENT, BASE_OBJECT_TYPE, TABLE_NAME,
                       WHEN_CLAUSE, STATUS, ACTION_TYPE, TRIGGER_BODY
                  FROM USER_TRIGGERS
                 WHERE 1=1
                  $conditions
              ORDER BY TRIGGER_NAME

SQL;
        $query = Utilities::getPaginatedQuery($query, $limit, $offset);
        return Utilities::getReferenceConnection()->fetchAll($query);
    }
}